Bug 500415 - errata.listByDate API name is confusing as date is not the parameter we pass as an argument
errata.listByDate API name is confusing as date is not the parameter we pass ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Brad Buckingham
Sayli Karmarkar
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2009-05-12 11:45 EDT by Sayli Karmarkar
Modified: 2015-03-22 21:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:55:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2009-05-12 11:45:08 EDT
Description of problem:
It lists errata for a particular channel sorted by date. So the name should be 
errata.listByChannel.
Comment 1 Brandon Perkins 2009-05-12 12:28:35 EDT
Approved, but only in that we think it should be completely deprecated in favor of:

channel.software.listErrata
Comment 2 Brad Buckingham 2009-05-12 15:53:11 EDT
Good observation.  The channel.software.listErrata APIs return the same results and are more flexible in that they allow the user to specify a date range.  Will deprecate errata.listByDate as recommended.
Comment 3 Brad Buckingham 2009-05-12 16:10:18 EDT
master git commit: a5ca1272a9d088b705d30b698c30126dfa7a9042
vader git commit: 44ec16675075ac654444842e140f7d97d38c440c
Comment 4 Brad Buckingham 2009-05-20 09:21:08 EDT
Mass move to ON_QA.
Comment 5 Sayli Karmarkar 2009-05-22 15:19:54 EDT
verified.
Comment 6 Brandon Perkins 2009-08-25 16:41:55 EDT
Release Pending.  Method: listByDate has been deprecated in favor of  channel.software.listErrata(string sessionKey, string channelLabel).
Comment 7 Brandon Perkins 2009-09-10 15:55:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.